#include <WiFi.h>
#include <WiFiClient.h>
#include <WiFiServer.h>
#include <WiFiUdp.h>
#include <SPI.h>
#include "DHT11.h"
DHT11 dht11(2);
char ssid[] = "TA-Edu-AP01";
char password[] = "tw!02194";
int status = WL_IDLE_STATUS;
WiFiServer server(80);
void setup() {
  Serial.begin(9600);
  if (WiFi.status() == WL_NO_SHIELD) {
    Serial.println("WiFi Shield Error"); while(true);
  }
  while(status != WL_CONNECTED) {
    status = WiFi.begin(ssid,password); delay(3000);
  }
  Serial.println("WiFi AP Connected!"); server.begin(); Serial.println(WiFi.localIP());
}
void loop() {
  WiFiClient client = server.available();
  if (client) {
    while(client.available()) client.read();//클라이언트의 request 정보를 수신만 함
    client.println("HTTP/1.1 200 OK");
    //client.println("Content-Type:text/html;charset=utf-8");
    client.println("Content-Type:text/xml;charset=utf-8");
    client.println("Connection:close"); client.println();
    float temp,humidity;
    int err = dht11.read(humidity,temp);
    //client.println("<html><H1>WiFi Shiled Webserver Exam</H1>"); 
    if (err == 0) {
      /*client.println("{\"humidity\":");client.println(humidity);
      client.println(",\"temp\":");client.println(temp);
      client.println("}"); client.println();*/
      client.println("<arduino><humidity>");client.println(humidity);
      client.println("</humidity><temp>");client.println(temp);
      client.println("</temp></arduino>");client.println();
      //client.println("습도:");client.println(humidity);
      //client.println("온도:");client.println(temp);
    }
    //client.println("</html>"); client.println();
    client.stop();
  }
}
